Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### rect()

Examples

    rect(30, 20, 55, 55);

Description | Draws a rectangle to the screen. A rectangle is a four-sided shape with every angle at ninety degrees. The first two parameters set the location, the third sets the width, and the fourth sets the height. The origin is changed with the rectMode() function.

Syntax

    rect(x, y, width, height)

Parameters

x | int or float: x-coordinate of the rectangle
y | int or float: y-coordinate of the rectangle
width | int or float: width of the rectangle
height | int or float: height of the rectangle

Returns | None
Usage | Web & Application
Related | rectMode() quad()

Updated on November 22, 2008 08:39:25pm PST